%define upstream_version 0.7.0

Name:       3scale_toolbox
Version:    1.1.0
Release:    1%{?dist}
Summary:    The 3scale command line interface
License:    ASL 2.0
URL:        https://github.com/3scale/%{name}
Source0:    https://github.com/3scale/%{name}/archive/v%{upstream_version}.tar.gz
Source1:    cache-%{upstream_version}.tar.gz
Source2:    Gemfile-%{upstream_version}.lock

BuildArch:  noarch
BuildRequires: rpmdevtools
BuildRequires: rh-ruby25-rubygems
BuildRequires: rh-ruby25-rubygem-bundler
BuildRequires: scl-utils
Requires:   rh-ruby25-ruby
Requires:   rh-ruby25-rubygem-bundler

%description
3scale toolbox is a set of tools to help you manage your 3scale product

%prep
%setup -q -n %{name}-%{upstream_version}
%setup -q -n %{name}-%{upstream_version} -T -D -a 1
cp %{SOURCE2} Gemfile.lock

%build
scl enable rh-ruby25 'gem build 3scale_toolbox.gemspec'
scl enable rh-ruby25 'bundle config --local silence_root_warning 1'
scl enable rh-ruby25 'bundle config --local disable_shared_gems 1'
scl enable rh-ruby25 'bundle config --local without development:test'
scl enable rh-ruby25 'bundle config --local gemfile Gemfile'

%install
scl enable rh-ruby25 'gem unpack %{name}-%{upstream_version}.gem --target=%{buildroot}%{_datadir}'
cp %{name}.gemspec %{buildroot}%{_datadir}/%{name}-%{upstream_version}
cp -a .bundle %{buildroot}%{_datadir}/%{name}-%{upstream_version}
mkdir %{buildroot}%{_datadir}/%{name}-%{upstream_version}/vendor
mv cache %{buildroot}%{_datadir}/%{name}-%{upstream_version}/vendor
cp Gemfile Gemfile.lock %{buildroot}%{_datadir}/%{name}-%{upstream_version}
cd %{buildroot}%{_datadir}/%{name}-%{upstream_version}
scl enable rh-ruby25 'bundle install --local --deployment --binstubs'
mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/3scale << 'EOF'
#!/bin/bash
scl enable rh-ruby25 -- %{_datadir}/%{name}-%{upstream_version}/bin/3scale "$@"
EOF

%files
%{_datadir}/%{name}-%{upstream_version}
%attr(755, root, root) %{_bindir}/3scale

%changelog
* Tue Mar 12 2019 Eguzki Astiz Lezaun <eastizle@redhat.com> - 1.1.0-1
- Manage 3scale instances with remotes
- Global error handler
- Unit tests and integration tests
- OpenAPI 2.0 (Swagger) import command
- Copy/Update: include activedocs
- Copy/Update: include pricing rules
- Copy/Update: include proxy policies
- Import OAS: push activedocs
- Fix: Import OAS: fix when missing operation id in spec
- Changed: In copy service comamnd, target system name is optional
* Mon Nov 12 2018 Eguzki Astiz Lezaun <eastizle@redhat.com> - 1.0.1-1
- Fix: update service command only includes system_name when specified in options
* Thu Oct 25 2018 Eguzki Astiz Lezaun <eastizle@redhat.com> - 1.0.0-1
- Plugin framework
- Enable insecure connections
- Service copy command
- Service update command
- Import CVS command
